Skip to main content
GET
/
v1
/
public
/
clients
/
{client_id}
/
documents
/
{document_id}
Get a rendered report
curl --request GET \
  --url https://api.everbility.com/v1/public/clients/{client_id}/documents/{document_id} \
  --header 'Authorization: Bearer <token>'
{
  "_id": "<string>",
  "client_id": 123,
  "title": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "format": "markdown",
  "content": "<string>",
  "type": "report"
}

Authorizations

Authorization
string
header
required

Use a Clerk-backed Everbility user or organisation API key directly as the bearer token.

Path Parameters

client_id
integer
required
document_id
string
required

Query Parameters

format
enum<string>
default:markdown
Available options:
markdown,
html

Response

Successful Response

_id
string
required
client_id
integer
required
title
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
format
enum<string>
required
Available options:
markdown,
html
content
string
required
type
enum<string>
default:report
Available options:
report
Allowed value: "report"